> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/assign-windows365.md).

# Windows365 を割り当て

このユーザーに Windows 365 Cloud PC をプロビジョニング

### 説明

このユーザーに、Windows 365 のプロビジョニングをトリガーするグループを割り当てます。つまり、プロビジョニング ポリシーまたは Frontline の割り当て、ユーザー設定ポリシー、そして専用 Cloud PC の場合はライセンス グループです。必要に応じて、Cloud PC の準備ができるとユーザーにメールが送信され、ライセンスまたは Frontline の席が残っていない場合は、メールによってサービス チケットが作成されます。

### ポリシー グループとライセンス グループをドロップダウンとして提供する

プロビジョニング ポリシー、ユーザー設定ポリシー、ライセンス グループは、既定ではプレーンテキスト フィールドです。runbook のカスタマイズで、Tenant のグループ名を使ったドロップダウンに変換してください:

```json
"rjgit-user_general_assign-windows365": {
    "Parameters": {
        "cfgProvisioningGroupName": {
            "SelectSimple": {
                "cfg - Windows 365 - Provisioning - Win11": "cfg - Windows 365 - Provisioning - Win11",
                "cfg - Windows 365 - Provisioning - Win10": "cfg - Windows 365 - Provisioning - Win10"
            }
        },
        "cfgUserSettingsGroupName": {
            "SelectSimple": {
                "cfg - Windows 365 - User Settings - restore allowed": "cfg - Windows 365 - User Settings - restore allowed",
                "cfg - Windows 365 - User Settings - no restore": "cfg - Windows 365 - User Settings - no restore"
            }
        },
        "licWin365GroupName": {
            "SelectSimple": {
                "lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB": "lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB",
                "lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB": "lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB"
            }
        }
    }
}
```

グループ名のプレフィックス（`cfgProvisioningGroupPrefix`, `cfgUserSettingsGroupPrefix`）によって、どのグループをプロビジョニング グループまたはユーザー設定グループとして扱うかが決まります。命名が異なる場合は、同じ場所で調整してください。

runbook のカスタマイズ方法の詳細については、 [Runbook カスタマイズ ガイド](https://docs.realmjoin.com/automation/runbooks/runbook-customization).

### 場所

ユーザー → 全般 → Windows365 の割り当て

**完全な Runbook 名**

rjgit-user\_general\_assign-windows365

### 詳細

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| バージョン    | 1.0.1                               |
| 必須モジュール  | RealmJoin.RunbookHelper (>= 0.8.10) |
| スケジュール可能 | いいえ                                 |

### アクセス許可

#### アプリケーションのアクセス許可

* **型**: Microsoft Graph
  * User.Read.All
    * *UPN で対象ユーザーを解決し、メール送信前にメールボックスの有無を確認します*
  * GroupMember.ReadWrite.All
    * *ユーザーをプロビジョニング、ユーザー設定、およびライセンス グループに追加します*
  * Group.ReadWrite.All
    * *構成グループとライセンス グループを参照し、割り当てられているライセンスを読み取ります*
  * Mail.Send *（任意 — 機能: メール レポート）*
    * *メール オプションが有効な場合、ライセンス不足のチケットとユーザー通知を送信します*
  * CloudPC.Read.All
    * *プロビジョニング ポリシー、共有利用のサービス プラン、およびユーザーの Cloud PC を読み取ります*
  * Organization.Read.All
    * */subscribedSkus を読み取り、専用プラン経路で空きの Windows 365 ライセンスがあるかを確認します*

### パラメーター

#### ユーザー名

Runbook が操作対象とするユーザーのユーザー プリンシパル名です。ポータルで選択したユーザーから設定されます。

| プロパティ    | 値                        |
| -------- | ------------------------ |
| 必須       | true                     |
| 既定値      |                          |
| 型        | 文字列                      |
| ポータルで非表示 | はい（runbook のカスタマイズで事前設定） |

#### cfgProvisioningGroupName

専用 Cloud PC 用のプロビジョニング ポリシー グループ、または Frontline のプロビジョニング ポリシー名です。名前を入力するか、runbook のカスタマイズで一覧が表示される場合はそこから選択してください。

| プロパティ    | 値                                        |
| -------- | ---------------------------------------- |
| 必須       | false                                    |
| 既定値      | cfg - Windows 365 - Provisioning - Win11 |
| 型        | 文字列                                      |
| ポータルの表示名 | プロビジョニング ポリシーまたは Frontline の割り当て         |

#### cfgUserSettingsGroupName

ユーザー設定ポリシーを含むグループです。たとえば、ユーザーが Cloud PC を復元できるかどうかなどです。

| プロパティ    | 値                                                   |
| -------- | --------------------------------------------------- |
| 必須       | false                                               |
| 既定値      | cfg - Windows 365 - User Settings - restore allowed |
| 型        | 文字列                                                 |
| ポータルの表示名 | ユーザー設定ポリシー                                          |

#### licWin365GroupName

専用 Cloud PC 用のライセンス グループです。Frontline では不要です。

| プロパティ    | 値                                                 |
| -------- | ------------------------------------------------- |
| 必須       | false                                             |
| 既定値      | lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB |
| 型        | 文字列                                               |
| ポータルの表示名 | Windows 365 ライセンス（専用 Cloud PC）                    |

#### cfgProvisioningGroupPrefix

プロビジョニング ポリシー グループを識別する名前のプレフィックス。runbook のカスタマイズであらかじめ設定されています。

| プロパティ    | 値                                  |
| -------- | ---------------------------------- |
| 必須       | false                              |
| 既定値      | cfg - Windows 365 - Provisioning - |
| 型        | 文字列                                |
| ポータルで非表示 | はい（runbook のカスタマイズで事前設定）           |

#### cfgUserSettingsGroupPrefix

ユーザー設定ポリシー グループを識別する名前のプレフィックス。runbook のカスタマイズであらかじめ設定されています。

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| 必須       | false                               |
| 既定値      | cfg - Windows 365 - User Settings - |
| 型        | 文字列                                 |
| ポータルで非表示 | はい（runbook のカスタマイズで事前設定）            |

#### sendMailWhenProvisioned

プロビジョニングが完了するとすぐに、ユーザーにメールを送信します。

| プロパティ    | 値                             |
| -------- | ----------------------------- |
| 必須       | false                         |
| 既定値      | False                         |
| 型        | ブール値                          |
| ポータルの表示名 | Cloud PC の準備ができたらユーザーに通知しますか? |

#### customizeMail

標準の通知文を独自のメッセージに置き換えます。ユーザーに通知する場合にのみ使用されます。

| プロパティ    | 値                 |
| -------- | ----------------- |
| 必須       | false             |
| 既定値      | False             |
| 型        | ブール値              |
| ポータルの表示名 | 通知メールをカスタマイズしますか? |

**ポータル オプション**

| ポータル オプション      | 値     |
| --------------- | ----- |
| 標準のメールを使用する     | false |
| カスタム メッセージを使用する | true  |

#### customMailMessage

通知メールの本文です。

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| 必須       | false                               |
| 既定値      | ここにカスタム メッセージを挿入してください。（最大 3000 文字） |
| 型        | 文字列                                 |
| ポータルの表示名 | カスタム メッセージ                          |

#### createTicketOutOfLicenses

ライセンスまたは Frontline の席がない場合、サービスデスクにチケット用メールを送信します。

| プロパティ    | 値                            |
| -------- | ---------------------------- |
| 必須       | false                        |
| 既定値      | False                        |
| 型        | ブール値                         |
| ポータルの表示名 | ライセンスがなくなったらサービス チケットを開きますか? |

#### ticketQueueAddress

メールをチケットに変換するサービスデスクのメールボックスです。

| プロパティ    | 値                             |
| -------- | ----------------------------- |
| 必須       | false                         |
| 既定値      | <support@glueckkanja-gab.com> |
| 型        | 文字列                           |
| ポータルの表示名 | サービス チケットの宛先                  |

#### fromMailAddress

通知メールとチケット メールの送信元メールボックスです。

| プロパティ    | 値                      |
| -------- | ---------------------- |
| 必須       | false                  |
| 既定値      | <runbooks@contoso.com> |
| 型        | 文字列                    |
| ポータルの表示名 | 送信者メールボックス             |

#### ticketCustomerId

チケット件名に入れる顧客識別子です。

| プロパティ    | 値           |
| -------- | ----------- |
| 必須       | false       |
| 既定値      | Contoso     |
| 型        | 文字列         |
| ポータルの表示名 | チケット用の顧客 ID |

[Runbook リファレンスの概要に戻る](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/assign-windows365.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
